package com.kingdee.eas.custom.dormitorysystem.waterpower;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WaterPowerPricingCollection extends AbstractObjectCollection 
{
    public WaterPowerPricingCollection()
    {
        super(WaterPowerPricingInfo.class);
    }
    public boolean add(WaterPowerPricingInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WaterPowerPricingCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WaterPowerPricingInfo item)
    {
        return removeObject(item);
    }
    public WaterPowerPricingInfo get(int index)
    {
        return(WaterPowerPricingInfo)getObject(index);
    }
    public WaterPowerPricingInfo get(Object key)
    {
        return(WaterPowerPricingInfo)getObject(key);
    }
    public void set(int index, WaterPowerPricingInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WaterPowerPricingInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WaterPowerPricingInfo item)
    {
        return super.indexOf(item);
    }
}